27 votes

Impossible d'installer les outils de ligne de commande sur OSX Mavericks

J'ai essayé d'installer les outils de ligne de commande sur Mavericks suivant les étapes décrites dans ce très utile post

> xcode-select --install

mais après quelques secondes, je reçois le message

enter image description here

Cela semble mauvais. Personne ne sait comment résoudre ce problème?


Chaque fois que j'accédez à la page que @Nikos M. suggère

enter image description here

J'obtiens ce message

enter image description here


J'ai suivi @Riches de la suggestion, et j'ai réussi à télécharger le logiciel et l'installer à qui je n'ai pas pu le faire avant, mais j'ai trouvé que je n'ai toujours pas accès à un grand nombre de commandes que je voudrais arp ou diskutil pour n'en nommer deux que j'ai rencontré récemment.

29voto

Nikos M. Points 5103

Installer à partir d' ici. Vous devez être développeur.

Autre solution: dans xcode cliquez sur Xcode>Ouvrir l'Outil de Développeur>Plus d'Outils de développement.

9voto

Grey Points 146

J'ai eu ce problème pendant des mois et a finalement trouvé la solution.

Le problème était le suivant: j'avais installé avant et supprimer manuellement. (J'ai eu des problèmes avec le logiciel git. Ce n'était pas la meilleure chose à faire.)

Ce que je n'ai pas de supprimer les fichiers ont été

/var/db/receipts/com.apple.pkg.CLTools_Executables.bom
/var/db/receipts/com.apple.pkg.CLTools_Executables.plist

Les supprimer, exécuter xcode-select --install -> pas d'erreur plus

Au moins, il a travaillé pour moi. J'espère que c'est utile pour quelqu'un.

6voto

emery Points 107

Les outils sont encore en liberté, mais xcode-select --install n'est plus supporté.

Pour installer la dernière ligne de commande outils de développement de https://developer.apple.com,

  1. Applications -> App Store -> Recherche -> XCode -> Installer installer ... XCode si vous ne l'avez pas.
  2. Ouvert XCode et fermez tous les pop-ups
  3. Aller à la Xcode menu > Ouvrir un Développeur Outils > Plus d'Outils de développement... cela ouvre le site web correct.
  4. Trouver la dernière version, téléchargez le fichier dmg et installer le package. Le nom de fichier que vous recherchez est similaire à "Outils de Ligne de Commande (OS X 10.9).pkg"

1voto

Rich Points 11

Je reçois ce que "Votre Session a Expiré" message lorsque j'essaie de télécharger à partir du navigateur google Chrome. Si j'ai naviguer sur le site avec Safari et connectez-vous avec mon développeur informations d'identification, puis les Outils de Ligne de Commande dmg télécharge sans problème. Je n'ai pas payé un compte de développeur soit, btw.

1voto

Theresa Luu Points 11

Vous pouvez télécharger les Outils de Ligne de Commande daw.apple.com mais essayer de Safari au lieu de Chrome.

Je l'ai essayé avec Chrome pour quelques heures et apple ne serait pas reconnaître mon identifiant/mot de passe (c'est le même que celui de votre identifiant apple). Il m'a obligé à changer mon mot de passe après chaque troisième tentative, qui a été difficile, car il ne serait pas vous permettre d'utiliser un mot de passe que vous avez utilisés au cours des trois dernières années.

Signature via Safari m'a donné pas de problèmes.

Le fichier que vous allez regarder pour est Outils de Ligne de Commande (OS X Mavericks) pour Xcode - Fin octobre

Si votre terminal toujours dit que vous devez installer les outils de ligne de commande, il peut être un problème avec gcc-4.2. J'ai été en mesure de confirmer que c'était le problème en suivant mon terminal message après j'ai couru "bundle install" sur mon application rails. Si c'est votre question, vous effectuerez les opérations suivantes suivre l'affaire housen la solution ici. Bonne chance

Prograide.com

Prograide est une communauté de développeurs qui cherche à élargir la connaissance de la programmation au-delà de l'anglais.
Pour cela nous avons les plus grands doutes résolus en français et vous pouvez aussi poser vos propres questions ou résoudre celles des autres.

Powered by:

X